com.fasterxml.jackson.databind.deser.std

## Class JdkDeserializers.InetAddressDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<InetAddress>
        - - com.fasterxml.jackson.databind.deser.std.JdkDeserializers.InetAddressDeserializer

All Implemented Interfaces:
  Serializable

Enclosing class:
  JdkDeserializers

    protected static class JdkDeserializers.InetAddressDeserializer
    extends FromStringDeserializer<InetAddress>

As per [JACKSON-484], also need special handling for InetAddress...

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`JdkDeserializers.InetAddressDeserializer()`

### Method Summary

Methods
`protected InetAddress` `_deserialize(String value, DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`_deserializeEmbedded, deserialize`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkDeserializers.InetAddressDeserializer

    public JdkDeserializers.InetAddressDeserializer()

### Method Detail

#### _deserialize

    protected InetAddress _deserialize(String value,
                           DeserializationContext ctxt)
                                throws IOException

Specified by:
  `_deserialize` in class `FromStringDeserializer<InetAddress>`
Throws:
  `IOException`